package com.engine.salary.mapper.taxagent;

import com.engine.salary.entity.taxagent.po.TaxAgentEmpPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface TaxAgentEmpMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxAgentEmpPO> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxAgentEmpPO getById(Long id);


	/**
	 * 条件查询
	 *
	 * @return 返回集合，没有返回空List
	 */
	List<TaxAgentEmpPO> listSome(TaxAgentEmpPO taxAgentEmp);

	/**
     * 新增，忽略null字段
     *
     * @param taxAgentEmp 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxAgentEmpPO taxAgentEmp);
	
	/**
     * 修改，修改所有字段
     *
     * @param taxAgentEmp 修改的记录
     * @return 返回影响行数
     */
	int update(TaxAgentEmpPO taxAgentEmp);
	
	/**
     * 修改，忽略null字段
     *
     * @param taxAgentEmp 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxAgentEmpPO taxAgentEmp);
	
	/**
     * 删除记录
     *
     * @param taxAgentEmp 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxAgentEmpPO taxAgentEmp);

	void deleteByIds(@Param("ids") Collection<Long> ids);

	/**
	 * 批量插入
	 *
	 * @param saves
	 */
	void batchInsert(@Param("collection") List<TaxAgentEmpPO> saves);
	
}